Update a domain
Changes a domain's click and open tracking or TLS policy.
Authorization
apiKey An API key from the dashboard (ms_…), sent as Authorization: Bearer. A sending-only key reaches the /emails routes only.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "open_tracking": true, "click_tracking": true, "tracking_subdomain": "links" }'{ "id": "ae2014de-c168-4c61-8267-70d2662a1ce1", "name": "Order updates", "status": "status", "created_at": "2026-10-19T12:00:00.000Z", "region": "us-east-1", "open_tracking": false, "click_tracking": false, "tracking_subdomain": "tracking subdomain", "capabilities": { "sending": "sending", "receiving": "receiving" }, "object": "domain", "records": [ { "record": "record", "name": "Order updates", "type": "type", "ttl": "ttl", "status": "status", "value": "@example.com", "priority": 1, "live": "found", "detail": "detail", "inherited_from": "inherited from", "policy": "none" } ]}